package esami

import (
	"reflect"
	"testing"
)

func TestParseLine(t *testing.T) {
	line := "Paolo Boldi\t\t\t30\t28\t28"
	n, v, _ := parseLine(line)
	if n != "Paolo Boldi" {
		t.Error("Ho letto ", n, " invece di Paolo Boldi")
	}
	if !reflect.DeepEqual(v, []int{30, 28, 28}) {
		t.Error("Ho letto ", v, " invece dei voti che mi aspettavo")
	}
}
